Skip to main content
GET
/
v3
/
alert-rules
/
{alert_id}
/
records
List of all alert records during specified time_bucket_start and time_bucket_end for the given alert rule
curl --request GET \
  --url https://{host}/v3/alert-rules/{alert_id}/records \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "PAGINATED",
  "data": {
    "page_size": 10,
    "item_count": 10,
    "total": 100,
    "page_count": 10,
    "page_index": 1,
    "offset": 0,
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "alert_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "alert_rule_revision": 123,
        "critical_threshold": 123,
        "baseline_time_bucket": 123,
        "baseline_value": 123,
        "alert_time_bucket": 123,
        "alert_value": 123,
        "message": "<string>",
        "feature_name": "<string>",
        "alert_record_main_version": 123,
        "alert_record_sub_version": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "warning_threshold": 123,
        "alert_run_start_time": 123,
        "failure_reason": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string<uuid>
required

alert id path parameter

Query Parameters

start_time
string<date-time>
required

requested start time

end_time
string<date-time>
required

requested end time

limit
integer

Limit for the pagination

offset
integer

Offset for the pagination

ordering
string

Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields

Allows you to search by any field.

feature_name
string

Name of the Feature

Response

List of all alert records in the given time_bucket_start and time_bucket_end for the given alert rule

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object